# FLAC::Encoder::Stream::State Class Reference

`#include <encoder.h>`

List of all members.

## Detailed Description

This class is a wrapper around FLAC__StreamEncoderState.

## Public Member Functions

| State (::FLAC__StreamEncoderState state)
| operator::FLAC__StreamEncoderState () const
const char * | as_cstring () const
const char * | resolved_as_cstring (const Stream &encoder) const

## Protected Attributes

::FLAC__StreamEncoderState | state_

The documentation for this class was generated from the following file:

- include/FLAC++/encoder.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |